Description

This is the modified adoption of a suggestion in issue #22941.

In the view of a ticket we have the section Subtasks. The user can add (create a new) ticket there, but is not able to link an existing

one. This could be optimized with the new "+" menu (see #15880 from where I've got this screenshot):

 new-add-button-20160606.png 

Of course, this would require that the menu items are context dependend, since it makes no sense when the user sees e.g. the

Roadmap page and gets a "New subtask" entry (sub task of what?). But it does make sense when the user sees a ticket! So the

menu entry could be only visible if the user has entered the ticket view. Since I haven't tried 3.3 so far I actually don't know if the

menu is already context dependent.

With this the "Add" link/button (or "New subtask" if #22491 was implemented) could be left as it is, but with the proper meaning that

the user just adds an existing ticket as subtask. It would than have the logic as the Related issues "Add" link/button.

In short:

1. New subtasks will be created with the "+" menu.

2. The "+" menu gets dynamic.

3. The ticket's Subtasks section provides a button to link existing tickets ("Add").

Related issues:

Related to Redmine - Feature #23144: +menu: make menu items dynamic, i.e. con... New

Related to Redmine - Feature #23289: Allow adding child issues with UI simila... New

History

#1 - 2016-06-28 22:36 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2016-07-12 16:41 - Toshi MARUYAMA

- Category set to Translations

#3 - 2016-07-17 04:03 - Toshi MARUYAMA

- Category changed from Translations to UI

#4 - 2016-07-17 04:03 - Toshi MARUYAMA

- Related to Feature #23144: +menu: make menu items dynamic, i.e. context dependent added

#5 - 2016-08-08 08:28 - Toshi MARUYAMA

- Related to Feature #23289: Allow adding child issues with UI similar to "add 'related" function.  added

#6 - 2016-08-08 08:30 - Toshi MARUYAMA

Robert Schneider wrote:

The ticket's Subtasks section provides a button to link existing tickets ("Add").
